Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 2789)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 2790)
@@ -456,24 +456,21 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="status" meta_type="String Widget">
-    <property name="title">Application Status</property>
-    <property name="fields">
-      <element value="status"/>
-    </property>
-    <property name="label">Application Status</property>
-    <property name="label_edit">Application Status</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="status" meta_type="Select Widget">
+  <property name="title">Application Status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Application Status</property>
+  <property name="label_edit">Application Status</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+  <property name="vocabulary">application_status</property>
+ </widget>
   <widget name="course1" meta_type="Select Widget">
     <property name="title">1st Choice Course of Study</property>
@@ -809,5 +806,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- 
+
   <widget name="serial" meta_type="String Widget">
     <property name="title">Serial Number</property>
@@ -829,5 +826,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-  </widget> 
+  </widget>
 
  <table>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2789)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2790)
@@ -628,24 +628,21 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="status" meta_type="String Widget">
-    <property name="title">Application Status</property>
-    <property name="fields">
-      <element value="status"/>
-    </property>
-    <property name="label">Application Status</property>
-    <property name="label_edit">Application Status</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="status" meta_type="Select Widget">
+  <property name="title">Application Status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Application Status</property>
+  <property name="label_edit">Application Status</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+  <property name="vocabulary">application_status</property>
+ </widget>
   <widget name="course1" meta_type="Select Widget">
     <property name="title">1st Choice Course of Study</property>
@@ -788,5 +785,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  
+
   <widget name="serial" meta_type="String Widget">
     <property name="title">Serial Number</property>
@@ -807,5 +804,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-  </widget>  
+  </widget>
 
  <table>
@@ -818,5 +815,5 @@
   <row>
    <cell name="serial" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="firstname" ncols="2"/>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2789)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2790)
@@ -412,5 +412,5 @@
   <property name="render_format">select</property>
  </widget>
- <widget name="status" meta_type="String Widget">
+ <widget name="status" meta_type="Select Widget">
   <property name="title">Application Status</property>
   <property name="fields">
@@ -427,4 +427,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
+  <property name="vocabulary">application_status</property>
  </widget>
  <widget name="student_id" meta_type="String Widget">
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 2789)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 2790)
@@ -629,24 +629,21 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="status" meta_type="String Widget">
-    <property name="title">Application Status</property>
-    <property name="fields">
-      <element value="status"/>
-    </property>
-    <property name="label">Application Status</property>
-    <property name="label_edit">Application Status</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="status" meta_type="Select Widget">
+  <property name="title">Application Status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Application Status</property>
+  <property name="label_edit">Application Status</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+  <property name="vocabulary">application_status</property>
+ </widget>
   <widget name="course1" meta_type="Select Widget">
     <property name="title">1st Choice Course of Study</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2789)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2790)
@@ -577,24 +577,21 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="status" meta_type="String Widget">
-    <property name="title">Application Status</property>
-    <property name="fields">
-      <element value="status"/>
-    </property>
-    <property name="label">Application Status</property>
-    <property name="label_edit">Application Status</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="status" meta_type="Select Widget">
+  <property name="title">Application Status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Application Status</property>
+  <property name="label_edit">Application Status</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+  <property name="vocabulary">application_status</property>
+ </widget>
   <widget name="course1" meta_type="Select Widget">
     <property name="title">1st Choice Course of Study</property>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 2789)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 2790)
@@ -564,24 +564,21 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="status" meta_type="String Widget">
-    <property name="title">Application Status</property>
-    <property name="fields">
-      <element value="status"/>
-    </property>
-    <property name="label">Application Status</property>
-    <property name="label_edit">Application Status</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="status" meta_type="Select Widget">
+  <property name="title">Application Status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Application Status</property>
+  <property name="label_edit">Application Status</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+  <property name="vocabulary">application_status</property>
+ </widget>
   <widget name="course1" meta_type="Select Widget">
     <property name="title">1st Choice Course of Study</property>
Index: /WAeUP_SRP/uniben/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/vocabularies.xml	(revision 2789)
+++ /WAeUP_SRP/uniben/profiles/default/vocabularies.xml	(revision 2790)
@@ -47,3 +47,4 @@
  <object name="screening_types" meta_type="CPS Vocabulary"/>
  <object name="aos" meta_type="CPS Vocabulary"/>
+ <object name="application_status" meta_type="CPS Vocabulary"/> 
  </object>
Index: /WAeUP_SRP/uniben/profiles/default/vocabularies/application_status.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/vocabularies/application_status.xml	(revision 2790)
+++ /WAeUP_SRP/uniben/profiles/default/vocabularies/application_status.xml	(revision 2790)
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="application_status" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="entered" msgid="">APP PIN entered</item>
+    <item key="edited" msgid="">Record edited (not yet submitted)</item>
+    <item key="submitted" msgid="">Record submitted (waiting for results)</item>
+    <item key="admitted" msgid="">Provisionally admitted (admission checking not yet enabled)</item>
+    <item key="not admitted" msgid="">Not admitted (admission checking disabled)</item>
+    <item key="created" msgid="">Provisionally admitted (admission checking enabled)</item>
+
+</object>