Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2797)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2801)
@@ -14,7 +14,16 @@
   
   <table  cellpadding="2" cellspacing="2" summary="Form layout" border=0
-          tal:condition="layout/rows">
-    <tal:block repeat="row layout/rows">
-      <tal:block repeat="cell row" > 
+       tal:condition="layout/rows">
+
+  <tal:block repeat="row layout/rows" >
+        
+  <tal:block define="widget python:row[0]['widget']"> 
+    <tr tal:condition="widget/description|nothing" class="even ajaxtd">
+      <th colspan="5" align="left"><span tal:replace="widget/description" /></th>
+    </tr>
+  </tal:block>
+  
+  <tr valign="top">
+  <span tal:repeat="cell row"> 
         <tal:block define="widget cell/widget;
                            wid widget/getWidgetId;
@@ -22,36 +31,37 @@
                            err_mapping python:ds.getErrorMapping(wid);
                            widget_css_class cell/widget_css_class|nothing;
-                           css_class python:test(err, 'row error','row')"
-                           >
-          <tr tal:condition="widget/description|nothing" class="even ajaxtd">
-            <th colspan="5" align="left"><h3 tal:replace="widget/description" /></th>
-          </tr>
-          <tr valign="top">
-            <span tal:attributes="class widget_css_class;
-            id python:widget.getHtmlWidgetId()+'_widget';"
-            >
-              <td valign="middle" tal:condition="python:widget.label_edit and widget.label_edit!='label field'">               
-                <div class="label">
-                  <label tal:content="widget/label_edit"
-                         tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-                </div>
-              </td>
+                           css_class python:test(err, 'row error','row')">
+          <span tal:attributes="class widget_css_class;
+                               id python:widget.getHtmlWidgetId()+'_widget';
+                              ">
+
+
+
+            <td valign="middle" tal:condition="python:widget.label_edit and widget.label_edit!='label field'">               
+              <div class="label">
+                <label tal:content="widget/label_edit"
+                  tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
+              </div>
+            </td>
             
-              <td tal:condition="cell/widget_rendered">
-                <div tal:attributes="class python:test(widget.label_edit == 'label field', 'label','')">          
-                  <label tal:replace="structure cell/widget_rendered"/>
-                </div>          
-                <tal:block condition="err">
+            <td tal:condition="cell/widget_rendered">
+              <div tal:attributes="class python:test(widget.label_edit == 'label field', 'label','')">          
+              <label tal:replace="structure cell/widget_rendered"/>
+              </div>          
+              <tal:block condition="err">
                   <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
                     <br /><em style="color: red"
-                              tal:content="msg">err</em>
+                      tal:content="msg">err</em>
                   </tal:block>
-                </tal:block>
-              </td>
+              </tal:block>
+            </td>
+  
           </span>
-          </tr>
         </tal:block>
-      </tal:block>
-    </tal:block>
+  </span>      
+  </tr>
+  
+  </tal:block>
+  
   </table>
   <br/>
Index: WAeUP_SRP/base/skins/waeup_layout/layout_clearance_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_clearance_view.pt	(revision 2797)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_clearance_view.pt	(revision 2801)
@@ -18,5 +18,5 @@
                  
             <tr tal:condition="widget/description|nothing" class="even ajaxtd">
-              <th colspan="5" align="left"><h3 tal:replace="widget/description" /></th>
+              <th colspan="5" align="left"><span tal:replace="widget/description" /></th>
             </tr>
             <tr>                         
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt	(revision 2797)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt	(revision 2801)
@@ -2,4 +2,5 @@
            portal_status_message options/psm|nothing;
            reg_no options/reg_no|nothing;
+           app_no options/app_no|nothing;
            ds options/ds|nothing;
            "
@@ -53,5 +54,5 @@
 
           <span tal:condition="rendered_main">
-            <h3>Application Record <span tal:replace="reg_no"/></h3>
+            <h3>Application Record <span tal:replace="reg_no"/> (<span tal:replace="app_no"/>)</h3>
             <br />
             <div tal:replace="structure rendered_main" />