Index: WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2801)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_apply_admission_create.pt	(revision 2802)
@@ -51,5 +51,5 @@
               <tal:block condition="err">
                   <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                    <br /><em style="color: red"
+                    <em style="color: red"
                       tal:content="msg">err</em>
                   </tal:block>
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2801)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2802)
@@ -39,5 +39,5 @@
 headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
 headings['pce'] = 'Apply for PCE Screening (2007/2008)! '
-headings['cest'] = 'Apply for Common Entrance Screening Test (2007/2008)! '
+headings['cest'] = 'Apply for Part-Time Degree and Diploma Programmes (2007/2008)! '
 #headings['pt'] = 'Apply for Local/Part-Time Programmes (2007/2008)'
 
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2801)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2802)
@@ -7,5 +7,5 @@
            expired info/expired;
            venue_display python:False;
-           deadline info/deadline
+           deadline info/deadline;
            "
            >
@@ -67,5 +67,5 @@
           <metal:block tal:condition="venue_display">
               <br />
-                <strong><a href="http://uniben.waeup.org/Post_UDE_Provisional_Venues.rtf">Post UDE Screening (2007/2008) - Provisional Venue</a></strong>
+                <strong></strong>
               <br />  <br />  
           </metal:block>
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt	(revision 2801)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt	(revision 2802)
@@ -2,6 +2,11 @@
            portal_status_message options/psm|nothing;
            reg_no options/reg_no|nothing;
-           app_no options/app_no|nothing;
+           serial options/ds/serial|nothing;
+           ccode options/ds/course1|nothing;
+           ccode python:ccode[:2];
+           app_no string:${ccode}${serial}/07;
            ds options/ds|nothing;
+           screening_type options/ds/screening_type;
+           cest python: screening_type == 'cest';               
            "
            >	
@@ -54,5 +59,7 @@
 
           <span tal:condition="rendered_main">
-            <h3>Application Record <span tal:replace="reg_no"/> (<span tal:replace="app_no"/>)</h3>
+            <h3>Application Record <span tal:replace="reg_no"/> 
+                <span tal:condition="python: cest and ccode" tal:replace="string:(${app_no})" />
+            </h3>
             <br />
             <div tal:replace="structure rendered_main" />
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_slip.pt	(revision 2801)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_slip.pt	(revision 2802)
@@ -6,4 +6,10 @@
            name python:ds['lastname'];
            info options/info;
+           serial options/ds/serial|nothing;
+           ccode options/ds/course1|nothing;
+           ccode python:ccode[:2];
+           app_no string:${ccode}${serial}/07; 
+           screening_type options/ds/screening_type;
+           cest python: screening_type == 'cest';    
            "
            >
@@ -13,4 +19,13 @@
         <h3 tal:content="info/heading_slip" />
         <br />
+        
+        <tal:block condition="python: cest and ccode">
+        
+        <table><tr><td>
+        <strong>Application Number for the Screening Test: <span tal:replace="app_no" /></strong>
+        </td></tr></table>
+        <br />
+        </tal:block>
+        
         <div tal:replace="structure rendered_main" />
         
Index: WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 2801)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_cest.xml	(revision 2802)
@@ -630,6 +630,6 @@
    <element value="hq_matric_no"/>
   </property>
-  <property name="label">Matric Number</property>
-  <property name="label_edit">Matric Number</property>
+  <property name="label">Former Matric Number</property>
+  <property name="label_edit">Former Matric Number</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -866,5 +866,7 @@
     </row>
 
-
+    <row>
+      <cell name="hq_matric_no"/>
+    </row>
     <row>
       <cell name="hq_type"/>
@@ -875,7 +877,4 @@
     <row>
       <cell name="hq_school"/>
-    </row>
-    <row>
-      <cell name="hq_matric_no"/>
     </row>
     <row>