Index: WAeUP_SRP/fceokene/waeup_custom/goto_interswitch_form.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/goto_interswitch_form.pt	(revision 2824)
+++ WAeUP_SRP/fceokene/waeup_custom/goto_interswitch_form.pt	(revision 2824)
@@ -0,0 +1,49 @@
+<metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="info options/info">
+                
+        <h3>Authorize Online Payment! </h3>
+        <br />
+                
+      <form method="post" action="pay_online"
+            tal:attributes="action info/action ">
+      <span tal:repeat="arg python:info['args'].items()"
+            tal:omit-tag="">
+          <input type="hidden" tal:attributes="name python:arg[0];value python:arg[1]" />
+      </span>          
+        <table>
+          <tr>
+            <td width="100px">
+            Payment:</td>
+            <td tal:content="info/type_description"></td>
+          </tr>
+          <tr>
+            <td>
+            Name:
+            </td>
+            <td tal:content="info/pay_bill_to" />
+          </tr>
+          <tr>
+            <td >
+            Amount:
+            </td>
+            <td> Naira <span tal:content="info/amount" /></td>
+          </tr>
+          <tr>
+            <td >
+            Surcharge:
+            </td>
+            <td> Naira <span tal:content="info/surcharge" /></td>
+          </tr>          
+      
+        </table>
+        <br />
+        <input type="submit" 
+               class="standalone" 
+               name="goto_bank" 
+               value="Proceed to Payment Gateway" 
+               />
+      </form>
+    </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/fceokene/waeup_custom/interswitch_form.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/interswitch_form.pt	(revision 2824)
+++ WAeUP_SRP/fceokene/waeup_custom/interswitch_form.pt	(revision 2824)
@@ -0,0 +1,46 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info options/info">
+    <h3>Confirm Your Payment Data! </h3>
+    <br />
+    <span tal:condition="not: info/payment_possible">
+      No payment information for your course available.
+    </span>
+    <span tal:condition="info/payment_possible">
+      <form method="post" action="pay_interswitch">
+        <table>
+          <tr>
+            <td width="100px">
+            Payment:</td>
+            <td tal:content="info/type_description"></td>
+          </tr>
+          <tr>
+            <td>
+            Name:
+            </td>
+            <td tal:content="info/pay_bill_to" />
+          </tr>
+          <tr>
+            <td >
+            Amount:
+            </td>
+            <td> Naira <span tal:content="info/amount" /></td>
+          </tr>
+          <tr>
+            <td >
+            Surcharge:
+            </td>
+            <td> Naira <span tal:content="info/surcharge" /></td>
+          </tr>                  
+        </table>
+        <br />
+        <input type="submit" 
+               class="standalone" 
+               name="goto_bank" 
+               value="Confirm" 
+               />
+      </form>
+    </span>
+    </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py	(revision 2822)
+++ WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py	(revision 2824)
@@ -57,5 +57,5 @@
 info['currency_id'] = '566'
 
-pay_item_id = "8300"
+pay_item_id = "8302"
 info['type_code'] = sbrain.course  #type_code is redundant and will be removed soon
 info['bank'] = ''
@@ -73,9 +73,11 @@
 p_id = "p%s" % timestamp
 
+interswitch_amount = 15000
+info['surcharge'] = interswitch_amount/100
+
 if student_id is None:
     return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 
-if True or context.portal_url().find('uniben-demo.waeup.org') >-1 or\
-   context.portal_url().find('uniben.waeup.org') >-1:
+if True:
     info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
 else:
@@ -122,5 +124,4 @@
     args[arg] = info[field]
 itotal = int(amount)*100
-interswitch_amount = 15000
 total_amount = itotal + interswitch_amount
 