Index: WAeUP_SRP/base/skins/waeup_accommodation/accommodation_edit_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_accommodation/accommodation_edit_form.pt	(revision 2828)
+++ WAeUP_SRP/base/skins/waeup_accommodation/accommodation_edit_form.pt	(revision 2828)
@@ -0,0 +1,48 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   mode options/mode;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+  <metal:block use-macro="here/main_template/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+      
+        <div style="text-align: right" tal:condition="python: mode == 'edit'">
+        <a href="" target="slip" tal:attributes="href string:accommodation_slip"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            Accommodation Slip
+        </a>
+        </div>      
+      
+        <h3 tal:condition="python: mode == 'create'">Book Your Accommodation! </h3>
+        <h3 tal:condition="python: mode == 'edit'">Pay Your Accommodation Maintenance Fee! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+          <p>Instructions :</p>
+          <ul tal:condition="python: mode == 'create'">
+            <li>Buy a Hostel Application Scratch Card.</li> 
+            <li>Enter the PIN above and press 'Book'.</li>
+            <li>Print your Hostel Allocation Slip.</li>
+          </ul>
+          <ul tal:condition="python: mode == 'edit'" 
+              tal:define="info python: context.getAccommodationInfo()">
+            <li>Buy a Hostel Maintainance Scratch Card 
+            (Code: <span tal:replace="python: info['acco_doc'].acco_maint_code" />) for 
+            <span tal:replace="python: info['acco_doc'].acco_maint_fee" /> Nairas</li> 
+            <li>Enter the PIN above and press 'Save'.</li>
+            <li>Print your Hostel Maintenance Receipt.</li>
+          </ul>
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: WAeUP_SRP/base/skins/waeup_accommodation/accommodation_pin_edit_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_accommodation/accommodation_pin_edit_form.pt	(revision 2825)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   mode options/mode;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-  <metal:block use-macro="here/main_template/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-      
-        <div style="text-align: right" tal:condition="python: mode == 'edit'">
-        <a href="" target="slip" tal:attributes="href string:accommodation_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Accommodation Slip
-        </a>
-        </div>      
-      
-        <h3 tal:condition="python: mode == 'create'">Book Your Accommodation! </h3>
-        <h3 tal:condition="python: mode == 'edit'">Pay Your Accommodation Maintenance Fee! </h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul tal:condition="python: mode == 'create'">
-            <li>Buy a Hostel Application Scratch Card.</li> 
-            <li>Enter the PIN above and press 'Book'.</li>
-            <li>Print your Hostel Allocation Slip.</li>
-          </ul>
-          <ul tal:condition="python: mode == 'edit'" 
-              tal:define="info python: context.getAccommodationInfo()">
-            <li>Buy a Hostel Maintainance Scratch Card 
-            (Code: <span tal:replace="python: info['acco_doc'].acco_maint_code" />) for 
-            <span tal:replace="python: info['acco_doc'].acco_maint_fee" /> Nairas</li> 
-            <li>Enter the PIN above and press 'Save'.</li>
-            <li>Print your Hostel Maintenance Receipt.</li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: WAeUP_SRP/base/skins/waeup_accommodation/getAccommodationInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_accommodation/getAccommodationInfo.py	(revision 2825)
+++ 	(revision )
@@ -1,146 +1,0 @@
-## Script (Python) "getAccommodationInfo"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student_id=None
-##title=
-##
-# $Id: getAccommodationInfo.py 1726 2007-05-02 06:21:50Z henrik $
-"""
-return Info about the current Student
-"""
-import logging
-logger = logging.getLogger('Skins.getAccommodationInfo')
-import DateTime
-
-request = context.REQUEST
-mtool = context.portal_membership
-wf = context.portal_workflow
-member = mtool.getAuthenticatedMember()
-member_id = str(member)
-path_info = request.get('PATH_INFO').split('/')
-
-if mtool.isAnonymousUser():
-    return None
-info = {}
-if student_id is None:
-    requested_id = context.getStudentId()
-    if requested_id and not context.isStaff() and member_id != requested_id:
-        logger.info('%s tried to access %s' % (member_id,requested_id))
-        return None
-    elif context.isStaff():
-        student_id = requested_id
-    else:
-        student_id = member_id
-res = context.students_catalog(id=student_id)
-if len(res) != 1:
-    logger.info('%s not found in students_catalog' % student_id)
-    return None
-
-ekehuan_certificates = ('BARTAPG',
-                        'BARTAPM',
-                        'BARTCER',
-                        'BARTFAA',
-                        'BARTFAP',
-                        'BARTSCP',
-                        'BARTTXT',
-                        'BARTMAS',
-                        'BARTTHR',
-                        )
-pti_certificates = ('BENGIEP',
-                    'BENGGCPP',
-                    'BENGEEP',
-                    'BENGGEP',
-                    'BENGPEP',
-                    'BENGMEP',
-                    )
-s_brain = res[0]
-info['error'] = None
-info['matric_no']=s_brain.matric_no
-info['jamb_reg_no']=s_brain.jamb_reg_no
-info['name']=s_brain.name
-info['email']=s_brain.email
-info['level']=s_brain.level
-info['verdict']=getattr(s_brain,'verdict','')
-
-
-students_object = context.portal_url.getPortalObject().campus.students
-student = getattr(students_object, student_id)
-info['id'] = student_id
-info['student'] = student
-review_state = info['review_state'] = context.getStudentReviewState()
-booking_allowed = False
-if review_state in ('cleared_and_validated','returning','school_fee_paid','courses_registered', 'courses_validated',):
-    booking_allowed = True
-    if s_brain.matric_no:
-        res = context.results_import(matric_no = s_brain.matric_no)
-        if res:
-            booking_allowed = info['verdict'] in ("A",
-                                                 "B",)
-
-booking_allowed = False # booking temporarily disabled
-                        # the algorithm must be adapted to new course_results catalog
-                        # and/or FCEOkene modalities
-
-
-info['booking_allowed'] = booking_allowed
-if not booking_allowed:
-    info['acco'] = None
-    return info
-info['session'] = session = context.getSessionId()
-acco_id = 'accommodation_' + session[0]
-acco = getattr(student,acco_id,None)
-info['acco'] = acco
-info['acco_id'] = acco_id
-bt = 're'
-if acco is not None:
-    info['acco_doc'] = acco.getContent()
-    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-d = {}
-if review_state == "cleared_and_validated":
-    bt = 'fr'
-elif int(s_brain.level) < 300:
-    bt = 're'
-elif int(s_brain.level) < 100:
-    bt = 'pr'
-elif s_brain.faculty in ('MED') and int(s_brain.level) >= 400:
-    bt = "med"
-else:
-    res = context.portal_catalog(portal_type = "Certificate", id = s_brain.course)
-    if res:
-        c_brain = res[0]
-        #from Products.zdb import set_trace; set_trace()
-        certificate = c_brain.getObject().getContent()
-        try:
-            certlevel = int(certificate.end_level)
-        except:
-            info["error"] = '"no end_level for","%s"' % c_brain.getId
-            return info
-        try:
-            studentlevel = int(s_brain.level)
-        except:
-            info["error"] = '"no level for","%s"' % s_brain.getId
-            return info
-        if studentlevel >= certlevel:
-            bt = "fi"
-d['sex'] = 'male'
-if s_brain.sex:
-    d['sex'] = 'female'
-if s_brain.course in ekehuan_certificates:
-    bt += "_ekenhuan"
-elif s_brain.course in pti_certificates:
-    bt += "_pti"
-
-
-info['sex']=d['sex']
-
-
-d['bt'] = bt
-#from Products.zdb import set_trace
-#set_trace()
-student_status = "%(sex)s_%(bt)s" % d
-info['student_status'] = student_status
-return info
-
Index: WAeUP_SRP/base/skins/waeup_epayment/getSchoolFee.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/getSchoolFee.py	(revision 2825)
+++ 	(revision )
@@ -1,126 +1,0 @@
-## Script (Python) "getSchoolFee"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=brain=None
-##title=
-##
-# $Id$
-"""
-return SchoolFee
-"""
-
-fee1 = ("ART",
-        "SSC",
-        "LAW",
-        "EDU",
-        )
-session_fees = {'99': ('22200','23700'),
-                '00': ('22200','23700'),
-                '01': ('22200','23700'),
-                '02': ('22200','23700'),
-                '03': ('22200','23700'),
-                '04': ('22200','23700'),
-                '05': ('22200','23700'),
-                '06': ('22200','23700'),
-                '07': ('22200','23700'),
-                }
-pt_fees = {
-            "DIF":{'description':"Diploma in French",'returning':"17700",'new':"32200"},
-            "DTA":{'description':"Diploma in Theatre Arts",'returning':"19700",'new':"34200"},
-            "DISD":{'description':"Diploma in International Studies",'returning':"27700",'new':"42200"},
-            "DFA":{'description':"Diploma in Fine & Applied Arts",'returning':"19700",'new':"34200"},
-            "DAE":{'description':"Diploma in Agric Econs",'returning':"25700",'new':"41700"},
-            "DFS":{'description':"Diploma in Fishery, Forestry & Wildlife",'returning':"22700",'new':"38700"},
-            "DAC":{'description':"Diploma in Agric Crop Science",'returning':"19700",'new':"35700"},
-            "DFBS":{'description':"Diploma in Food & Brewering Science",'returning':"22700",'new':"38700"},
-            "DIA":{'description':"Diploma in Accounting",'returning':"27700",'new':"42200"},
-            "DBF":{'description':"Diploma in Banking & Finance",'returning':"27700",'new':"42200"},
-            "DAIC":{'description':"Diploma in Applied Industrial Chemistry",'returning':"22700",'new':"38700"},
-            "DAM":{'description':"Diploma in Applied Microbiology",'returning':"22700",'new':"38700"},
-            "DIG":{'description':"Diploma in Geology",'returning':"25700",'new':"41700"},
-            "DSLT":{'description':"Diploma in Science Lab Tech.",'returning':"25700",'new':"41700"},
-            "DES":{'description':"Diploma in Environmental Science",'returning':"22700",'new':"38700"},
-            "DICE":{'description':"Diploma in Computer Engineering",'returning':"27700",'new':"43700"},
-            "DICHE":{'description':"Diploma in Chemical Engineering",'returning':"27700",'new':"43700"},
-            "DDP":{'description':"Diploma in Data Processing",'returning':"27700",'new':"43700"},
-            "DCG":{'description':"Diploma in Cartography",'returning':"19700",'new':"34200"},
-            "DSW":{'description':"Diploma in Social Works",'returning':"25700",'new':"40200"},
-            "DIL":{'description':"Diploma in Law",'returning':"27700",'new':"42200"},
-            "DHT":{'description':"Diploma in Recreation, Hotel & Tourism Management",'returning':"27700",'new':"42200"},
-            "DIE":{'description':"Diploma in Epidermiology",'returning':"27700",'new':"42200"},
-            "CIE":{'description':"Certificate in Epidermiology",'returning':"21200",'new':"36200"},
-            "CEHD":{'description':"Certificate in early Child Health & Development",'returning':"21200",'new':"36200"},
-            "DLS":{'description':"Diploma in Library & Information Science",'returning':"24200",'new':"37200"},
-            "BFA":{'description':"Bachelor in Fine & Applied Arts",'returning':"27700",'new':"42200"},
-            "BTA":{'description':"Bachelor in Theatre Arts",'returning':"27700",'new':"42200"},
-            "BEL":{'description':"Bachelor in English",'returning':"27700",'new':"42200"},
-            "BFR":{'description':"Bachelor in French",'returning':"27700",'new':"42200"},
-            "BISD":{'description':"Bachelor in International Studies & Diplomacy",'returning':"27700",'new':"42200"},
-            "BAE":{'description':"Bachelor in Agric Econs",'returning':"32700",'new':"48700"},
-            "BAN":{'description':"Bachelor in Animal Science",'returning':"27700",'new':"43700"},
-            "BAC":{'description':"Bachelor in Crop Science",'returning':"27700",'new':"43700"},
-            "BAS":{'description':"Bachelor in Soil Science",'returning':"27700",'new':"43700"},
-            "BIA":{'description':"Bachelor in Accounting",'returning':"32700",'new':"47200"},
-            "BBF":{'description':"Bachelor in Banking & Finance",'returning':"32700",'new':"47200"},
-            "BLG":{'description':"Bachelor in Local Govt. Admin.",'returning':"22700",'new':"37200"},
-            "BPA":{'description':"Bachelor in Public Admin.",'returning':"32700",'new':"47200"},
-            "BSW":{'description':"Bachelor in Social Works",'returning':"27700",'new':"42200"},
-            "BES":{'description':"Bachelor in Environmental Science",'returning':"27700",'new':"43700"},
-            "BSLT":{'description':"Bachelor in Science Lab. Tech.",'returning':"27700",'new':"43700"},
-            "BIP":{'description':"Bachelor in Industrial Physics",'returning':"27700",'new':"43700"},
-            "BSCS":{'description':"Bachelor in Statistics & Computer",'returning':"29700",'new':"45700"},
-            "BEEL":{'description':"Bachelor in Electronic & Electrical Engineering",'returning':"32700",'new':"48700"},
-            "BECV":{'description':"Bachelor in Civil Engineering",'returning':"32700",'new':"48700"},
-            "BEMCH":{'description':"Bachelor in Mechanical Engineering",'returning':"32700",'new':"48700"},
-            "BEPE":{'description':"Bachelor in Petroleum Engineering",'returning':"32700",'new':"48700"},
-            "BESTR":{'description':"Bachelor in Structural Engineering",'returning':"32700",'new':"48700"},
-            "BECE":{'description':"Bachelor in Chemical Engineering",'returning':"32700",'new':"48700"},
-            "BPRE":{'description':"Bachelor in Production Engineering",'returning':"32700",'new':"48700"},
-            "LLBPT":{'description':"Bachelor in Law",'returning':"32700",'new':"48700"},
-            "ODPT":{'description':"Doctor of Optometry",'returning':"42700",'new':"58700"},
-            "PHARMD1":{'description':"Doctor of Pharmacy",'returning':"44700",'new':"58700"},
-
-            "CPA":{'description':"Certificate in Public Admin",'returning':"21200",'new':"35200"},
-            "DHAM":{'description':"Diploma in Health Management",'returning':"24200",'new':"37200"},
-            "DNAM":{'description':"Diploma in Nursing Admin & Management",'returning':"27200",'new':"40200"},
-            "DPA":{'description':"Diploma in Public Admin",'returning':"27200",'new':"40200"},
-            "DHS":{'description':"Diploma in Primary Health Care & Statistics",'returning':"27200",'new':"40200"},
-            "ADHFM":{'description':"Advanced Diploma in Health Care Financing and Management",'returning':"29200",'new':"42200"},
-            "DAE":{'description':"Diploma in Adult Education",'returning':"20200",'new':"33200"},
-            "DME":{'description':"Diploma in Maths Education",'returning':"23200",'new':"36200"},
-            "DPE":{'description':"Diploma in Physical Education",'returning':"23200",'new':"36200"},
-            "DHE":{'description':"Diploma in Health Education",'returning':"23200",'new':"36200"},
-            "DEC":{'description':"Diploma in Early Childhood Education",'returning':"20200",'new':"33200"},
-            "DLS":{'description':"Diploma in Library & Information Science",'returning':"24200",'new':"37200"},
-            "BECO":{'description':"Bachelor in Computer Engineering",'returning':"32700",'new':"48700"},
-            
-            "BECOSW":{'description':"Bachelor of Economics Education (Sandwich)",'returning':"22700",'new':"37200"}, 
-
-            "BBEDSW":{'description':"Bachelor of Business Education (Sandwich)",'returning':"22700",'new':"37200"}, 
-            "BENLSW":{'description':"Bachelor of English & Literature Education (Sandwich)",'returning':"22700",'new':"37200"}, 
-            "BEMGTSW":{'description':"Bachelor of Management Education (Sandwich)",'returning':"22700",'new':"37200"}, 
-            "BBIOSW":{'description':"Bachelor of Biology Education (Sandwich)",'returning':"23200",'new':"38700"}, 
-            "BCSCSW":{'description':"Bachelor of Computer Science Education (Sandwich)",'returning':"23200",'new':"38700"}, 
-            "BAGRSW":{'description':"Bachelor of Agricultural Science Education (Sandwich)",'returning':"23200",'new':"38700"}, 
-            "BHEDSW":{'description':"Bachelor of Health Education (Sandwich)",'returning':"23200",'new':"38700"}, 
-
-            
-         }
-
-d = {}
-if brain.mode.endswith('_ft'):
-    f = 1
-    if brain.faculty in fee1:
-        f = 0
-    d['new'] = session_fees[brain.session][f]
-    d['returning'] = 'not set'
-    d['description'] = "School Fee for Session %s" % context.getSessionsVoc(key=brain.session)
-if pt_fees.has_key(brain.course):
-    d = pt_fees[brain.course]
-    d['description'] = "School Fee for Session %s, %s" % (context.getSessionsVoc(key=brain.session),
-                                                         d['description'])
-return d
-