Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_manage_form.pt	(revision 2839)
+++ 	(revision )
@@ -1,116 +1,0 @@
-<tal:block define="rendered_main options/rendered|nothing;
-           portal_status_message options/psm|nothing;
-           reg_no options/reg_no|nothing;
-           serial options/ds/serial|nothing;
-           ccode options/ds/course1|nothing;
-           ds options/ds|nothing;
-           ">	
-  <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/main_template/macros/master">
-      <metal:block fill-slot="main">
-
-        <form action="" id="editForm" method="post" 
-              enctype="multipart/form-data" class="workflow"
-              tal:attributes="action string:${context/absolute_url}/apply_admission_manage"
-              >
-
-          <span tal:condition="not: rendered_main">
-            <h3>Application Process</h3>
-            <br />
-            
-            <table tal:define="info_applicants context/getApplicantsStatistics">
-            <tr> 
-              <td>PUME Applicants (status submitted):</td> 
-              <td><span tal:replace="info_applicants/submitted_pume" /></td>  
-            </tr>
-            <tr> 
-              <td>PUDE Applicants (status submitted):</td> 
-              <td><span tal:replace="info_applicants/submitted_pde" /></td>
-            </tr>
-            <tr> 
-              <td>CEST Applicants (status submitted):</td> 
-              <td><span tal:replace="info_applicants/submitted_cest" /></td>
-            </tr>            
-            <tr> 
-              <td>All Applicants (status admitted):</td> 
-              <td><span tal:replace="info_applicants/admitted" /></td>  
-            </tr>
-            <tr> 
-              <td>All Applicants (status student record created):</td> 
-              <td><span tal:replace="info_applicants/created" /></td>
-            </tr>            
-            <tr> 
-              <td>All Applicants (status not admitted):</td> 
-              <td><span tal:replace="info_applicants/not_admitted" /></td>  
-            </tr>    
-            </table>            
-            
-            <br/>
-            
-            <div class="label">Registration No:</div>
-            <input type="text" name="reg_no" size="15"
-                   />
-            <input type="submit" class="standalone" 
-                   name="search"
-                   value="Search" 
-                   />
-          </span>
-
-        <span tal:condition="rendered_main">
-          <h3>Application Record <span tal:replace="reg_no"/> 
-            <tal:block condition="python: ds['screening_type'] == 'cest' and ccode">
-                (<span tal:replace="python:'%s%s/07' % (ccode[:3],serial)" />)
-            </tal:block>
-          </h3>
-            <br />
-            <div tal:replace="structure rendered_main" />
-                        
-            <input type="hidden" name="reg_no"
-                   tal:attributes="value reg_no|nothing"
-                   />
-            <input type="submit" class="standalone" 
-                   name="reset"
-                   value="Reset" 
-                   tal:condition="python: ds['status'] and 'submitted' in ds['status']"
-                   />
-                   
-                   
-            <input type="submit" class="standalone" 
-                   name="edit"
-                   value="Save" 
-                   />                   
-                   
-            <br /><br />
-            
-
-            <div class="label">Registration No:</div>
-            <input type="text" name="new_reg_no" size="15"
-                   /> &nbsp;
-            <input type="submit" class="standalone" 
-                   name="search"
-                   value="Search next" 
-                   />
-          </span>
-        </form>
-        
-        <br/>
-        
-        <form action="" id="editForm" method="post" 
-            enctype="multipart/form-data" class="workflow"
-            tal:attributes="action string:${context/absolute_url}/apply_admission"
-            tal:condition="rendered_main"
-            >
-        <input type="hidden" name="reg_no"
-               tal:attributes="value ds/reg_no|nothing"
-               tal:condition="ds/reg_no|nothing"/>
-        <input type="submit" 
-               class="standalone" 
-               name="manage"
-               value="Assume Applicant's Role"
-               />             
-        </form>          
-        
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: WAeUP_SRP/base/skins/waeup_student/getApplicantsStatistics.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getApplicantsStatistics.py	(revision 2839)
+++ 	(revision )
@@ -1,41 +1,0 @@
-## Script (Python) "getApplicantsStatistics"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id: getApplicantsStatistics.py 1277 2007-01-11 21:11:37Z joachim $
-"""
-return Student Statistics
-"""
-
-import logging
-logger = logging.getLogger('Skins.getApplicantsStatistics')
-
-logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
-if not context.isStaff():
-    return 'Not allowed'
-
-
-info = {}
-res_submitted_pume = context.applicants_catalog(status = 'submitted', screening_type = 'pume')
-res_submitted_cest = context.applicants_catalog(status = 'submitted', screening_type = 'cest')
-res_not_admitted = context.applicants_catalog(status = 'not admitted')
-res_submitted_pde = context.applicants_catalog(status = 'submitted', screening_type = 'pde')
-res_admitted = context.applicants_catalog(status = 'admitted')
-res_created = context.applicants_catalog(status = 'created')
-
-info['submitted_pume'] = len(res_submitted_pume)
-info['submitted_cest'] = len(res_submitted_cest)
-info['admitted'] = len(res_admitted)
-info['not_admitted'] = len(res_not_admitted)
-info['submitted_pde'] = len(res_submitted_pde)
-info['created'] = len(res_created)
-
-return info
-
-
-
Index: WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2839)
+++ 	(revision )
@@ -1,118 +1,0 @@
-## Script (Python) "getStudyLevelInfo"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id$
-"""
-return Info about the Studylevel
-"""
-
-wf = context.portal_workflow
-mtool = context.portal_membership
-if mtool.isAnonymousUser():
-    return None
-member = mtool.getAuthenticatedMember()
-member_id = str(member)
-
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-
-
-# from Products.AdvancedQuery import Eq, Between, Le,In
-# try:
-#     aq_portal = context.portal_catalog.evalAdvancedQuery
-# except:
-#     aq_portal = context.portal_catalog_real.evalAdvancedQuery
-course_results = context.course_results
-request = context.REQUEST
-response = request.RESPONSE
-import logging
-logger = logging.getLogger('Skins.getStudyLevelInfo')
-
-info = {}
-
-student_id = context.getStudentId()
-level_id  =  context.getId()
-level_doc = info['doc'] = context.getContent()
-
-info['is_so'] = is_so = context.isSectionOfficer()
-info['is_student'] = is_student = context.isStudent()
-info['is_ca'] = is_ca = context.isCourseAdviser()
-info['student'] = student = context.students_catalog(id=student_id)[0]
-info['review_state'] = review_state = student.review_state
-is_current_level = level_id == student.level
-school_fee_paid =  review_state == 'school_fee_paid'
-info['is_current_level'] = is_current_level
-info['has_verdict'] = has_verdict = level_doc.verdict
-
-info['submission_allowed']= school_fee_paid and is_current_level and not has_verdict
-info['validation_allowed']= review_state == 'courses_registered' and is_current_level
-info['rejection_allowed']= review_state in ('courses_registered', 'courses_validated',) and is_current_level
-info['validated'] = review_state == 'courses_validated' and is_current_level
-
-info['show_check_boxes'] =  (is_ca and school_fee_paid and is_current_level and not has_verdict) or\
-                            (is_student and school_fee_paid and is_current_level and not has_verdict) or\
-                            (is_so and is_current_level and not has_verdict)
-
-info['verdict'] = context.portal_vocabularies.verdicts.get(level_doc.verdict).upper()
-info['session'] = context.portal_vocabularies.sessions.get(level_doc.session)
-info['level_str'] = context.portal_vocabularies.levels.get(level_id)
-
-info['choosen_ids'] = request.get('ids',[])
-
-#info['status_info'] = ""
-#if is_student:
-#    if review_state == 'courses_registered':
-#        info['status_info'] = "Request for course validation pending"
-#    elif review_state == 'courses_validated':
-#        info['status_info'] = "Courses validated"
-#elif is_ca:
-#    if review_state == 'courses_registered':
-#        info['status_info'] = "Please validate these courses"
-#    elif review_state == 'courses_validated':
-#        info['status_info'] = "Courses validated"
-
-cert_id = student.course
-info['cert_id'] = cert_id
-if context.objectIds():
-    course_results.moveResultsHere(context,student_id)
-    logger.info("%s initiated moveResultsHere for %s in level %s" % (member_id,student_id,level_id))
-total_credits,gpa,carry_overs,normal1,normal2,normal3 = course_results.getCourses(student_id,level_id)
-info['total_credits'] = total_credits
-max_credits = 50
-if context.getId() == student.end_level:
-    max_credits = 51
-info['max_credits'] = max_credits
-info['credits_exceeded'] = total_credits > max_credits
-current_session = student.session
-
-info['gpa'] = gpa
-if gpa and total_credits:
-    info['gpa'] = "%4.2f" % (float(gpa)/int(total_credits))
-
-
-
-# carry_overs.sort(cmp_semester_id)
-info['carry_overs'] = carry_overs
-# normal.sort(cmp_semester_id)
-info['normal1'] = normal1
-info['normal2'] = normal2
-info['normal3'] = normal3
-
-info['data_missing'] = not info['normal1'] and not info['normal2'] and not info['normal3']
-info['spillover'] = student.level > student.end_level
-
-students_object = context.portal_url.getPortalObject().campus.students
-student = getattr(students_object, student_id)
-info['app'] = student.application
-info['app_doc'] = student.application.getContent()
-
-return info
Index: WAeUP_SRP/base/skins/waeup_student/mail2student.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/mail2student.py	(revision 2839)
+++ 	(revision )
@@ -1,45 +1,0 @@
-## Script (Python) "mail2student"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=co_name=None,co_email=None,student_email=None,probtype=None,commt=None, action=None
-##title=
-##
-# $Id: mail2admin.py 869 2006-11-15 13:46:49Z henrik $
-
-from urllib import urlencode
-
-mhost = context.MailHost
-prop = context.portal_properties
-REQUEST = context.REQUEST
-
-d = {}
-#d['co_name'] = co_name
-#d['co_email'] = co_email
-d['co_name'] = 'CRPU Uniben'
-d['co_email'] = prop.email_from_address
-d['student_email'] = student_email
-d['probtype'] = probtype
-d['commt'] = commt
-
-message = """
-From: %(co_name)s <%(co_email)s>
-To: %(student_email)s
-Cc: %(co_email)s
-Reply-To: %(co_email)s
-Subject: %(probtype)s
-%(commt)s
-"""
-
-mhost.send(message % d)
-
-args = {}
-psm = "Your message has been sent!"
-args['portal_status_message'] = psm
-if action:
-    url = context.absolute_url() + '/' + action + '?' + urlencode(args)
-else:
-    url = context.absolute_url() +'?' + urlencode(args)
-return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/base/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/search_students_form.pt	(revision 2839)
+++ 	(revision )
@@ -1,144 +1,0 @@
-<metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main"
-            tal:define="rendered options/rendered;
-            portal_status_message options/psm;
-            students options/students;
-            info options/info|nothing;
-            is_so context/isSectionOfficer;
-            allowed options/allowed|nothing;"
-            >
-      <span tal:condition="not: allowed">
-        <span tal:content="here/illegal_view" />
-      </span>
-      <span tal:condition="allowed" tal:omit-tag="">
-      
-      <strong>
-      <nobr><a href="statistics_new_view">New Student Statistics</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-      <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-      <nobr><a href="statistics_simple_view">Basic Student Statistics</a>
-      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
-  
-      <span tal:condition="is_so">
-          <nobr><a href="apply_admission_manage">Application Process</a>
-          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
-          <nobr><a href="view_logs">View Log Files</a>
-          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-          <nobr><a href="add_student">Add Student Record</a>        
-          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-          <nobr><a href="deactivate_students">Deactivate Student Record(s)</a>           
-      </span>
-      </strong>
-    
-              
-        <h3> Search Student Section</h3><br />
-          You are logged in as member <span tal:replace="info/member|nothing" /> 
-          <span tal:condition="info/faculties|nothing" tal:omit-tag="">
-            who is ClearanceOfficer for Faculty 
-            <span tal:repeat="faculty info/faculties" tal:content="faculty" />
-          </span>
-          <span tal:condition="info/departments|nothing" tal:omit-tag="">
-            and <span tal:repeat="department info/departments|nothing" tal:content="department"/></span>.
-          <br /><br />
-        <span tal:replace="structure rendered" />
-        <span tal:condition="students">
-          <span
-              tal:define="items students;
-              columns python:3;
-              items_per_page python:40;
-              max_items python:300;
-              zoom python:0;
-              batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
-              batches python:batches_all[0];
-              batch_info python:batches_all[1];
-              zoomed python:batches_all[2];
-              mq nocall:modules/ZTUtils/make_query;"
-              tal:omit-tag=""
-              >
-            <tal:block tal:condition="python: items and batch_info and batch_info['nb_pages'] > 1">
-              <div class="batchLayout">
-                <span i18n:translate="">
-                  Objects: 
-                  <strong>
-                    <tal:block replace="batch_info/start"
-                               i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
-                                                                       i18n:name="batch_limit" />
-                  </strong>
-                  of <tal:block replace="batch_info/length"
-                                i18n:name="batch_length" />
-                </span>
-              </div>
-              <br />
-            </tal:block>
-            <table class="contentListing" width="100%">
-              <span tal:repeat="rows batches" tal:omit-tag="">
-                <span tal:repeat="student rows">
-                  <tr tal:condition="student" 
-                      tal:attributes="class python:test(repeat['student'].even(), 'even ajaxtd', 'odd ajaxtd')">
-                    <td><a href="id" tal:attributes="href string:${context/portal_url}/campus/students/${student/id}"
-                           tal:content="student/id"></a></td>    
-                    <td>
-                      <span tal:replace="student/name" />
-                    </td>    
-                    <td><span tal:replace="student/matric_no" /></td>   
-                    <td><span tal:replace="student/jamb_reg_no" /></td>
-                    <td tal:condition="options/co_view|nothing">
-                      <a href="id" 
-                         tal:attributes="href string:${context/portal_url}/campus/students/${student/id}/clearance/external_clearance_edit_form"
-                         target="edit"
-                         onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
-                         >[view and change state]</a></td>
-                    <td tal:condition="options/ca_view|nothing">
-                      <a href="id" 
-                         tal:attributes="href string:${context/portal_url}/campus/students/${student/id}/study_course/study_course/${student/level}/external_study_level_view"
-                         target="edit"
-                         onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
-                         >[view and validate course list]</a></td>
-                  </tr>
-                </span>
-              </span>
-            </table>
-            <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
-              <div class="pageNavigationLayout">
-                <a tal:define="previous batch_info/previous"
-                   tal:condition="python:previous is not None"
-                   tal:attributes="href python:'%s?%s'%(request['URL'],
-                   mq(request.form, b_start=0))"
-                   >
-                (&lt;&lt;)</a>
-                <a tal:define="previous batch_info/previous"
-                   tal:condition="python:previous is not None"
-                   tal:attributes="href python:'%s?%s'%(request['URL'],
-                   mq(request.form, b_start=previous))"
-                   i18n:translate="batch_previous">Previous</a>
-                <tal:block repeat="page batch_info/pages">
-                  <tal:block condition="python:page != batch_info['start'] - 1">
-                    <a tal:attributes="href python:'%s?%s'%(request['URL'],
-                    mq(request.form, b_start=page))"
-                    tal:content="repeat/page/number">1</a>&nbsp;
-                  </tal:block>
-                  <tal:block condition="python:page == batch_info['start'] - 1">
-                    <span tal:content="string:${repeat/page/number}" />&nbsp;
-                  </tal:block>
-                </tal:block>
-                <a tal:define="next batch_info/next"
-                   tal:condition="python:next is not None"
-                   tal:attributes="href python:'%s?%s'%(request['URL'],
-                   mq(request.form, b_start=next))"
-                   i18n:translate="batch_next">Next</a>
-                <a tal:define="next batch_info/next;
-                last_page python:batch_info['pages'][-1]"
-                tal:condition="python:next is not None"
-                tal:attributes="href python:'%s?%s'%(request['URL'],
-                mq(request.form, b_start=last_page))"
-                >
-                (&gt;&gt;)</a>
-              </div>
-            </tal:block>
-          </span>
-        </span>
-      </span>
-    </metal:main>
-</metal:body>
-  