Index: WAeUP_SRP/uniben/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/payment.xml	(revision 2850)
+++ WAeUP_SRP/uniben/profiles/default/layouts/payment.xml	(revision 2853)
@@ -115,4 +115,68 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="status" meta_type="Select Widget">
+  <property name="title">Payment status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Payment Status</property>
+  <property name="label_edit">Payment Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">payment_status</property>
+ </widget>
+ <widget name="subject" meta_type="Select Widget">
+  <property name="title">Payment Subject</property>
+  <property name="fields">
+   <element value="subject"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Payment Subject</property>
+  <property name="label_edit">Payment Subject</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">payment_subjects</property>
+ </widget>
+ <widget name="target" meta_type="String Widget">
+  <property name="title">Payment Target</property>
+  <property name="fields">
+   <element value="target"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Payment for</property>
+  <property name="label_edit">Payment for</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="type" meta_type="Select Widget">
+  <property name="title">Payment Type</property>
+  <property name="fields">
+   <element value="type"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Payment Type</property>
+  <property name="label_edit">Payment Type</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">payment_types</property>
+ </widget>
+ <widget name="session_id" meta_type="Select Widget">
+  <property name="title">Session</property>
+  <property name="fields">
+   <element value="session_id"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Session</property>
+  <property name="label_edit">Session</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">sessions</property>
+ </widget>
  <widget name="type_description" meta_type="String Widget">
   <property name="title">Payment Description</property>
@@ -136,4 +200,19 @@
   </row>
   <row>
+   <cell name="status"/>
+  </row>
+  <row>
+   <cell name="type"/>
+  </row>
+  <row>
+   <cell name="subject"/>
+  </row>
+  <row>
+   <cell name="target"/>
+  </row>
+  <row>
+   <cell name="session_id"/>
+  </row>
+  <row>
    <cell name="date"/>
   </row>
Index: WAeUP_SRP/uniben/profiles/default/payments_catalog.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/payments_catalog.xml	(revision 2850)
+++ WAeUP_SRP/uniben/profiles/default/payments_catalog.xml	(revision 2853)
@@ -47,5 +47,5 @@
   <indexed_attr value="subject"/>
  </index>
- <index name="target" meta_type="KeywordIndex">
+ <index name="target" meta_type="FieldIndex">
   <indexed_attr value="target"/>
  </index>
Index: WAeUP_SRP/uniben/profiles/default/schemas/payment.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 2850)
+++ WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 2853)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="payment" meta_type="CPS Schema">
+  <field name="key" meta_type="CPS String Field"/>
   <field name="date" meta_type="CPS DateTime Field"/>
   <field name="type_code" meta_type="CPS String Field"/>
@@ -8,4 +9,9 @@
   </field> 
   <field name="amount" meta_type="CPS String Field"/>
+  <field name="description" meta_type="CPS String Field"/>
+  <field name="subject" meta_type="CPS String Field"/>
+  <field name="type" meta_type="CPS String Field"/>
+  <field name="target" meta_type="CPS String Field"/>
+  <field name="status" meta_type="CPS String Field"/>
   <field name="resp_pay_reference" meta_type="CPS String Field"/>
   <field name="resp_desc" meta_type="CPS String Field">
@@ -13,6 +19,8 @@
   </field> 
   <field name="order_id" meta_type="CPS String Field"/>
+  <field name="session_id" meta_type="CPS String Field"/>
   <field name="resp_code" meta_type="CPS String Field"/>
   <field name="resp_card_num" meta_type="CPS String Field"/>
+  <field name="resp_date" meta_type="CPS DateTime Field"/>
   <field name="resp_approved_amount" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_status.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_status.xml	(revision 2853)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/payment_status.xml	(revision 2853)
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="payment_status" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="" msgid="">None</item>
+    <item key="paid" msgid="">Paid</item>
+    <item key="started" msgid="">Started</item>
+    <item key="due" msgid="">Due</item>
+    <item key="failed" msgid="">Unsuccessfull</item>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml	(revision 2853)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml	(revision 2853)
@@ -0,0 +1,12 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="payment_subjects" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="" msgid="">None</item>
+    <item key="schoolfee" msgid="">School Fee</item>
+    <item key="transfer" msgid="">Transfer</item>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_types.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_types.xml	(revision 2853)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/payment_types.xml	(revision 2853)
@@ -0,0 +1,12 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+<object name="payment_types" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="" msgid="">None</item>
+    <item key="sc" msgid="">Scratch Card</item>
+    <item key="online" msgid="">Online</item>
+</object>