Index: /WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 2875)
+++ /WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 2876)
@@ -12,4 +12,5 @@
 return Info about the Students StudyCourse
 """
+import DateTime
 from Products.AdvancedQuery import Eq, Between, Le,In
 
@@ -23,4 +24,6 @@
     def set_trace():
         pass
+import logging
+logger = logging.getLogger('Skins.getStudyCourseInfo')
 
 request = context.REQUEST
@@ -35,29 +38,37 @@
 course  = info['doc'] = context.getContent()
 student_id = context.getStudentId()
-res = context.students_catalog(id = student_id)
-if not res:
+student_record = context.students_catalog.getRecordByKey(student_id)
+if not student_record:
     return None
-sbrain = res[0]
-info['student'] = sbrain
-cert_id = sbrain.course
-res = context.portal_catalog_real.evalAdvancedQuery(Eq('id', cert_id) &
-                                                    Eq('portal_type', "Certificate"))
+info['student'] = student_record
+cert_id = student_record.course
+# logger.info("before search")
+# starttime = DateTime.DateTime().timeTime()
+# res = context.portal_catalog_real.evalAdvancedQuery(Eq('id', cert_id)) # &
+#                                                    Eq('portal_type', "Certificate"))
+# logger.info("searchtime %f" % (DateTime.DateTime().timeTime() - starttime))
+# if True:
+#     #info['cert_id'] = cert_id
+#     # brain = res[0]
+#     # ci['title'] = brain.Title
+#     # pl = brain.getPath().split('/')
+#     # ci['faculty'] = pl[-4]
+#     # ci['department'] = pl[-3]
+#     ci['study_course'] = student_record.course
+#     ci['faculty'] = student_record.faculty
+#     ci['department'] = student_record.department
+#     info['course_doc'] = ci
+# else:
+#     info['cert_id'] = 'N/A'
+#     ci['study_course'] = 'N/A'
+#     ci['title'] = 'N/A'
+#     ci['faculty'] = 'N/A'
+#     ci['department'] = 'N/A'
+#     info['course_doc'] = ci
 ci = {}
-if res:
-    info['cert_id'] = cert_id
-    brain = res[0]
-    ci['study_course'] = brain.getId
-    ci['title'] = brain.Title
-    pl = brain.getPath().split('/')
-    ci['faculty'] = pl[-4]
-    ci['department'] = pl[-3]
-    info['course_doc'] = ci
-else:
-    info['cert_id'] = 'N/A'
-    ci['study_course'] = 'N/A'
-    ci['title'] = 'N/A'
-    ci['faculty'] = 'N/A'
-    ci['department'] = 'N/A'
-    info['course_doc'] = ci
+ci['study_course'] = student_record.course
+ci['faculty'] = student_record.faculty
+ci['department'] = student_record.department
+info['course_doc'] = ci
 
 items = []
@@ -82,8 +93,8 @@
 
 
-current_level = sbrain.level
+current_level = student_record.level
 levels = context.objectIds()
 review_state = wftool.getInfoFor(context,'review_state',None)
-student_review_state = sbrain.review_state
+student_review_state = student_record.review_state
 #if review_state != 'content_addable' and student_review_state == 'school_fee_paid': #and context.isStudent():
 #    wftool.doActionFor(context,'close_for_edit')
@@ -95,11 +106,11 @@
                (previous_verdict in ('A','B','C','F','J','L','M') or\
                current_level == '100' or\
-               (sbrain.mode.startswith('de') and current_level == '200'))
+               (student_record.mode.startswith('de') and current_level == '200'))
 
 missing_data = has_paid and\
                current_level not in levels and\
-               not (previous_verdict or sbrain.level) and\
+               not (previous_verdict or student_record.level) and\
                not (current_level == '100' or\
-               (sbrain.mode.startswith('de') and current_level == '200'))
+               (student_record.mode.startswith('de') and current_level == '200'))
 
 info['missing_data'] = missing_data
Index: /WAeUP_SRP/base/skins/waeup_student/study_course_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/study_course_view.pt	(revision 2875)
+++ /WAeUP_SRP/base/skins/waeup_student/study_course_view.pt	(revision 2876)
@@ -45,17 +45,19 @@
         <td><span tal:content="info/previous_verdict" /></td>
       </tr>      
+      <span tal:define="f_id sc/faculty;
+        d_id sc/department;
+        c_id sc/study_course;
+        f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
+        d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus;
+        c_title context/academics/?f_id/?d_id/certificates/?c_id/Title|string:Department not yet in Prospectus"
+        >
       <tr>
         <td width="220px">Certificate:</td> 
-        <td><span tal:content="sc/title" /></td>
+        <td tal:content="c_title" />
       </tr>
       <tr>
         <td>Certificate Id:</td>
-        <td tal:content="sc/study_course" />
+        <td><span tal:content="sc/study_course" /></td>
       </tr>
-        <span tal:define="f_id sc/faculty;
-        d_id sc/department;
-        f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
-        d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus"
-        >
           <tr>
             <td>Faculty:</td>