Index: WAeUP_SRP/base/skins/waeup_epayment/interswitch_cb.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/interswitch_cb.py	(revision 2876)
+++ WAeUP_SRP/base/skins/waeup_epayment/interswitch_cb.py	(revision 2877)
@@ -78,5 +78,5 @@
                                                              review_state))
     return request.RESPONSE.redirect("%s/waeup_document_view" % context.absolute_url())
-    
+
 resp = pd['resp_code']
 
Index: WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py	(revision 2876)
+++ WAeUP_SRP/base/skins/waeup_epayment/pay_by_sc.py	(revision 2877)
@@ -101,7 +101,7 @@
     info['amount'] = cost
     pin = info['order_id'] = "%s" % pin
-    info['type_code'] = "%s" % pin  #type_code is redundant and will be removed soon
+    #info['type_code'] = "%s" % pin  #type_code is redundant and will be removed soon
     info['type_description'] = 'School Fee for Session %s' % next_session_str
-    info['type'] = 'SC' 
+    info['type'] = 'sc'
     info['status'] = 'paid'
     info['target'] = s_brain.course
Index: WAeUP_SRP/base/skins/waeup_epayment/pay_interswitch_acco.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/pay_interswitch_acco.py	(revision 2876)
+++ WAeUP_SRP/base/skins/waeup_epayment/pay_interswitch_acco.py	(revision 2877)
@@ -63,9 +63,9 @@
     if fulltime:
         pay_item_id = "6100"
-        info['type_code'] = student_record.faculty   #type_code is redundant and will be removed soon
+        #info['type_code'] = student_record.faculty   #type_code is redundant and will be removed soon
         info['bank'] = ''
     else:
         pay_item_id = "6101"
-        info['type_code'] = student_record.course  #type_code is redundant and will be removed soon
+        #info['type_code'] = student_record.course  #type_code is redundant and will be removed soon
         info['bank'] = ''
     info['payment_possible'] = True
Index: WAeUP_SRP/base/skins/waeup_epayment/payment_receipt.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_epayment/payment_receipt.pt	(revision 2876)
+++ WAeUP_SRP/base/skins/waeup_epayment/payment_receipt.pt	(revision 2877)
@@ -40,4 +40,8 @@
               />
         </metal:block>
+        
+        
+        
+        
         <metal:block tal:condition="info/is_scratchcard_pmt">            
         <h3>Scratch Card Payment Receipt</h3>
@@ -76,5 +80,5 @@
         <tr>
           <td width="220px">Access Code:</td> 
-          <td><span tal:content="pm/type_code" /></td>
+          <td><span tal:content="pm/order_id" /></td>
         </tr>     
         <tr>
Index: WAeUP_SRP/base/skins/waeup_student/request_transfer.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/request_transfer.py	(revision 2876)
+++ WAeUP_SRP/base/skins/waeup_student/request_transfer.py	(revision 2877)
@@ -101,5 +101,5 @@
 info['amount'] = "n/a"
 pin = info['order_id'] = ds.get('pin')
-info['type_code'] = "%s" % pin
+#info['type_code'] = "%s" % pin
 info['type_description'] = 'Transfer Form'
 info['resp_code'] = "SC"
Index: WAeUP_SRP/fceokene/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/payment.xml	(revision 2876)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/payment.xml	(revision 2877)
@@ -115,19 +115,6 @@
  <property name="hidden_readonly_layout_modes"/>
 </widget>
-  <widget name="type_code" meta_type="String Widget">
-  <property name="title">Payment Code</property>
-  <property name="fields">
-   <element value="type_code"/>
-  </property>
-  <property name="label">Payment Code</property>
-  <property name="label_edit">Payment Code</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="status" meta_type="Select Widget">
-  <property name="title">Payment status</property>
+  <property name="title">Payment Status</property>
   <property name="fields">
    <element value="status"/>
@@ -200,5 +187,5 @@
   <property name="label_edit">Payment Description</property>
   <property name="display_width">40</property>
-  <property name="size_max">40</property>  
+  <property name="size_max">40</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -207,7 +194,4 @@
   <table>
   <row>
-   <cell name="type_code"/>
-  </row>
-  <row>
    <cell name="type_description"/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/payment.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/payment.xml	(revision 2876)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/payment.xml	(revision 2877)
@@ -2,13 +2,10 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="payment" meta_type="CPS Schema">
-  <field name="key" meta_type="CPS String Field"/>
   <field name="date" meta_type="CPS DateTime Field"/>
-  <field name="type_code" meta_type="CPS String Field"/>
   <field name="type_description" meta_type="CPS String Field" >
     <property name="is_searchabletext">True</property>
-  </field> 
+  </field>
   <field name="amount" meta_type="CPS String Field"/>
   <field name="surcharge" meta_type="CPS String Field"/>
-  <field name="description" meta_type="CPS String Field"/>
   <field name="subject" meta_type="CPS String Field"/>
   <field name="type" meta_type="CPS String Field"/>
@@ -18,10 +15,9 @@
   <field name="resp_desc" meta_type="CPS String Field">
     <property name="is_searchabletext">True</property>
-  </field> 
+  </field>
   <field name="order_id" meta_type="CPS String Field"/>
   <field name="session_id" meta_type="CPS String Field"/>
   <field name="resp_code" meta_type="CPS String Field"/>
   <field name="resp_card_num" meta_type="CPS String Field"/>
-  <field name="resp_date" meta_type="CPS DateTime Field"/>
   <field name="resp_approved_amount" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_status.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_status.xml	(revision 2876)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_status.xml	(revision 2877)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">None</item>
+    <item key="" msgid=""></item>
     <item key="paid" msgid="">Paid</item>
     <item key="started" msgid="">Started</item>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_subjects.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_subjects.xml	(revision 2876)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_subjects.xml	(revision 2877)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">None</item>
+    <item key="" msgid=""></item>
     <item key="hostel_maintenance" msgid="">Hostel Maintainance</item>
     <item key="schoolfee" msgid="">School Fee</item>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_types.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_types.xml	(revision 2876)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/payment_types.xml	(revision 2877)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">None</item>
+    <item key="" msgid=""></item>
     <item key="sc" msgid="">Scratch Card</item>
     <item key="online" msgid="">Online</item>
Index: WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py	(revision 2876)
+++ WAeUP_SRP/fceokene/waeup_custom/pay_interswitch.py	(revision 2877)
@@ -52,5 +52,5 @@
 
 pay_item_id = "8302"
-info['type_code'] = sbrain.course  #type_code is redundant and will be removed soon
+#info['type_code'] = sbrain.course  #type_code is redundant and will be removed soon
 info['bank'] = ''
 info['payment_possible'] = True