Index: WAeUP_SRP/uniben/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/payment.xml	(revision 2862)
+++ WAeUP_SRP/uniben/profiles/default/layouts/payment.xml	(revision 2878)
@@ -115,19 +115,6 @@
  <property name="hidden_readonly_layout_modes"/>
 </widget>
-  <widget name="type_code" meta_type="String Widget">
-  <property name="title">Payment Code</property>
-  <property name="fields">
-   <element value="type_code"/>
-  </property>
-  <property name="label">Payment Code</property>
-  <property name="label_edit">Payment Code</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="status" meta_type="Select Widget">
-  <property name="title">Payment status</property>
+  <property name="title">Payment Status</property>
   <property name="fields">
    <element value="status"/>
@@ -200,5 +187,5 @@
   <property name="label_edit">Payment Description</property>
   <property name="display_width">40</property>
-  <property name="size_max">40</property>  
+  <property name="size_max">40</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -207,7 +194,4 @@
   <table>
   <row>
-   <cell name="type_code"/>
-  </row>
-  <row>
    <cell name="type_description"/>
   </row>
Index: WAeUP_SRP/uniben/profiles/default/schemas/payment.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 2862)
+++ WAeUP_SRP/uniben/profiles/default/schemas/payment.xml	(revision 2878)
@@ -2,13 +2,10 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="payment" meta_type="CPS Schema">
-  <field name="key" meta_type="CPS String Field"/>
   <field name="date" meta_type="CPS DateTime Field"/>
-  <field name="type_code" meta_type="CPS String Field"/>
   <field name="type_description" meta_type="CPS String Field" >
     <property name="is_searchabletext">True</property>
-  </field> 
+  </field>
   <field name="amount" meta_type="CPS String Field"/>
   <field name="surcharge" meta_type="CPS String Field"/>
-  <field name="description" meta_type="CPS String Field"/>
   <field name="subject" meta_type="CPS String Field"/>
   <field name="type" meta_type="CPS String Field"/>
@@ -18,10 +15,9 @@
   <field name="resp_desc" meta_type="CPS String Field">
     <property name="is_searchabletext">True</property>
-  </field> 
+  </field>
   <field name="order_id" meta_type="CPS String Field"/>
   <field name="session_id" meta_type="CPS String Field"/>
   <field name="resp_code" meta_type="CPS String Field"/>
   <field name="resp_card_num" meta_type="CPS String Field"/>
-  <field name="resp_date" meta_type="CPS DateTime Field"/>
   <field name="resp_approved_amount" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_status.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_status.xml	(revision 2862)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/payment_status.xml	(revision 2878)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">None</item>
+    <item key="" msgid=""></item>
     <item key="paid" msgid="">Paid</item>
     <item key="started" msgid="">Started</item>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml	(revision 2862)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/payment_subjects.xml	(revision 2878)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">None</item>
+    <item key="" msgid=""></item>
     <item key="hostel_maintenance" msgid="">Hostel Maintainance</item>
     <item key="schoolfee" msgid="">School Fee</item>
Index: WAeUP_SRP/uniben/profiles/default/vocabularies/payment_types.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/payment_types.xml	(revision 2862)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/payment_types.xml	(revision 2878)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">None</item>
+    <item key="" msgid=""></item>
     <item key="sc" msgid="">Scratch Card</item>
     <item key="online" msgid="">Online</item>